%define oname geki2-KXL
%define name geki2
%define version 2.0.3
%define release 5mdk

Summary: Geki2 arcade shooter
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Arcade
Source: %{oname}-%{version}.tar.gz
URL: http://kxl.hn.org/
BuildRoot: %_tmppath/%{name}-%{version}-root
BuildRequires: KXL-devel >= 1.1.1

%description

Geki2 is a 2D vertical scrolling shooter. It reminds of classic arcade
or console games.


%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -q -n %{oname}-%{version}

%build
%configure
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%name
?package(%name):\
needs="x11"\
title="Geki2-KXL"\
longtitle="Vertical scrolling arcade shooter"\
command="geki2"\
section="Amusement/Arcade"\
icon="arcade_section.png"
EOF
#fix score file
mkdir -p %buildroot%_localstatedir/games
mv %buildroot%{_datadir}/geki2/data/.score %buildroot%_localstatedir/games/%name.score
ln -s %_localstatedir/games/%name.score %buildroot%{_datadir}/geki2/data/.score

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{update_menus}
%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README
%{_bindir}/geki2
%{_datadir}/geki2
%attr(664, games, games) %_localstatedir/games/%name.score
%_menudir/%name

%changelog
* Sun Aug 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.3-5mdk
- fix menu

* Mon Feb  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.3-4mdk
- fix menu

* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.3-3mdk
- anniversary rebuild

* Sun Jan 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.3-2mdk
- fix URL

* Sat Jan 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.3-1mdk
- initial Mandrake package

* Sat Dec 8 2001 SATO Katsuyoshi <fc3srx7@mwnet.or.jp>
- (2.0.3-1)
- The description mistake of a dependency with the library in a spec file was corrected.

* Wed Aug 29 2001 SATO Katsuyoshi <fc3srx7@mwnet.or.jp>
- (2.0.1-2)
- first build
